import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SensorTabPageComponent } from './sensor-tab-page.component';

const routes: Routes = [
  {
    path: '',
    component: SensorTabPageComponent,
    children: [
      { path: 'list', loadChildren: './sensor/sensor-page.module#SensorPageModule' },
      { path: 'setting', loadChildren: './sensor/sensor-page.module#SensorPageModule' },
      { path: ':id/info', loadChildren: './sensor/sensor-page.module#SensorPageModule' },
      { path: ':id/history', component: null },
    ]
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SensorTabPageRoutingModule { }
